import request from '@/utils/request'

// 查询菜单列表
export function listSourceType(query) {
    return request({
        url: '/business/type/list',
        method: 'get',
        params: query
    })
}

// 查询菜单详细
export function getSourceType(id) {
    return request({
        url: '/business/type/' + id,
        method: 'get'
    })
}

// 查询菜单下拉树结构
export function treeselect() {
    return request({
        url: '/business/type',
        method: 'get'
    })
}

// 新增菜单
export function addSourceType(data) {
    return request({
        url: '/business/type',
        method: 'post',
        data: data
    })
}

// 修改菜单
export function updateSourceType(data) {
    return request({
        url: '/business/type',
        method: 'put',
        data: data
    })
}

// 删除菜单
export function delSourceType(id) {
    return request({
        url: '/business/type/' + id,
        method: 'delete'
    })
}